<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:param name="pageName" value="#{messages['gazelle.evs.client.remote.validator.title']}"/>
    <ui:param name="pageNameUrl" value="validate.seam"/>
    <ui:param name="pageNameTitle" value="#{messages['gazelle.evs.client.remote.validator.title']}"/>
    <ui:define name="header">
        <h:outputStylesheet library="stylesheet" name="extraxml.css"/>
    </ui:define>
    <ui:define name="body">
        <s:div id="globalDiv">
            <h:form id="globalForm">
                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">

                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['gazelle.evs.client.remote.validator.title']}"/>
                    </ui:define>

                    <div class="form-horizontal">

                        <s:decorate template="/layout/form/_checkbox.xhtml">
                            <ui:param name="id" value="cb"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.evs.FilterByValidationType']}</ui:define>
                            <h:selectBooleanCheckbox id="cb" value="#{remoteValidationBeanGui.filterByValidationType}">
                                <a4j:ajax event="change" render="validatorDeco"/>
                            </h:selectBooleanCheckbox>
                        </s:decorate>

                        <s:decorate id="validatorDeco" template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="selectedReferencedStandard"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.evs.SelectAReferencedStandard']}</ui:define>
                            <h:selectOneMenu styleClass="form-control gzl-form-control gzl-select-text" id="selectedReferencedStandard"
                                             value="#{remoteValidationBeanGui.selectedReferencedStandardId}">
                                <f:selectItems
                                        value="#{remoteValidationBeanGui.getReferencedStandardAsSelectItems()}"/>
                                <a4j:ajax event="change" render="panel_footer" />
                            </h:selectOneMenu>
                        </s:decorate>

                        <s:div rendered="#{empty remoteValidationBeanGui.document==null}">
                            <h:outputText value="#{messages['net.ihe.gazelle.evs.FileExtensionDoesNotAllowToShowIt']}"/>
                        </s:div>
                    </div>
                    <div>
                        <s:div id="divForMessageContent" rendered="#{remoteValidationBeanGui.document!=null}">
                            <ui:decorate template="/layout/panels/_panel_id.xhtml">
                                <ui:param name="panel_id" value="fileNameInfo"/>
                                <s:decorate id="fileNameInfoDecoration" template="/layout/display/_display.xhtml">
                                    <ui:define name="label">#{messages['net.ihe.gazelle.evs.CurrentFile']}</ui:define>
                                    <h:outputText value="#{remoteValidationBeanGui.getUploadedFileName()}"/>
                                </s:decorate>

                                <s:decorate template="/layout/form/_checkbox.xhtml" style="float: left; margin-right: 2em;">
                                    <ui:param name="id" value="cb"/>
                                    <ui:param name="styleClass" value="floating"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.EVSClient-ui.ShowContent']}
                                    </ui:define>
                                    <h:selectBooleanCheckbox id="cb" value="#{remoteValidationBeanGui.showMessageInGui}">
                                        <a4j:ajax event="change" render="viewMessage"/>
                                    </h:selectBooleanCheckbox>
                                </s:decorate>
                                <s:div id="viewMessage">
                                    <s:div id="displayViewMessage" rendered="#{remoteValidationBeanGui.showMessageInGui}">
                                        <ui:decorate template="/common/_documentRenderersTabs.xhtml">
                                            <ui:param name="document" value="#{remoteValidationBeanGui.presenter.document}"/>
                                            <ui:param name="renderers" value="#{remoteValidationBeanGui.presenter.renderers}"/>
                                            <ui:param name="activeItem" value="#{remoteValidationBeanGui.presenter.activeRenderer}"/>
                                            <ui:param name="options" value="caption: #{messages['net.ihe.gazelle.document.prettified-content']}"/>
                                            <ui:param name="documentViewerStyle" value="document-short-viewer"/>
                                            <ui:define name="custom-tail-tabs">
                                                <ui:include src="/common/_analysisTailTab.xhtml">
                                                    <ui:param name="managedBean" value="#{remoteValidationBeanGui}"/>
                                                </ui:include>
                                            </ui:define>
                                        </ui:decorate>
                                    </s:div>
                                </s:div>
                            </ui:decorate>
                        </s:div>
                    </div>
                    <ui:define name="panel_footer">
                        <a4j:commandButton id="forwardToValidation" actionListener="#{remoteValidationBeanGui.forwardToValidation()}"
                                           value="#{messages['net.ihe.gazelle.evs.Go']}"
                                           styleClass="btn gzl-btn-blue" execute="@form"/>
                        <a4j:commandButton styleClass="btn gzl-btn-blue"
                                           value="#{messages['net.ihe.gazelle.evs.AnalyzeMessageContent']}"
                                           actionListener="#{analysisBeanGui.executeFromRemote(remoteValidationBeanGui.messageStr,
                                           remoteValidationBeanGui.externalId,
                                           remoteValidationBeanGui.proxyType,
                                           remoteValidationBeanGui.toolOid)}"/>

                    </ui:define>
                </ui:decorate>

            </h:form>


        </s:div>
    </ui:define>
</ui:composition>
